For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Webhooks
      • POSTCreate Webhook
      • GETGet Webhook
      • PUTUpdate Webhook
      • DELDelete Webhook
      • POSTDisable Webhook
      • POSTEnable Webhook
Logo
Log inBook a demo
API ReferenceWebhooks

Get Webhook

GET
https://app.polytomic.com/api/webhooks/:id
GET
/api/webhooks/:id
$curl https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "created_at": "2024-01-01T00:00:00Z",
4 "disabled": true,
5 "endpoint": "https://example.com/webhook",
6 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
7 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
8 "secret": "secret"
9 }
10}

Returns a single webhook by ID.

📘 One webhook per organization

An organization can register a single webhook, which receives every event produced in that organization. See the Events documentation for the list of event types and payload shapes.

Was this page helpful?
Previous

Update Webhook

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

404
Not Found Error